{
  "schema_version": "1.4.0",
  "id": "GHSA-cqf2-847w-787m",
  "modified": "2025-04-12T12:59:14Z",
  "published": "2022-05-14T02:46:34Z",
  "aliases": [
    "CVE-2016-3074"
  ],
  "details": "Integer signedness error in GD Graphics Library 2.1.1 (aka libgd or libgd2) allows remote attackers to cause a denial of service (crash) or potentially execute arbitrary code via crafted compressed gd2 data, which triggers a heap-based buffer overflow.",
  "severity": [
    {
      "type": "CVSS_V3",
      "score": "CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H"
    }
  ],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2016-3074"
    },
    {
      "type": "WEB",
      "url": "https://github.com/libgd/libgd/commit/2bb97f407c1145c850416a3bfbcc8cf124e68a19"
    },
    {
      "type": "WEB",
      "url": "https://h20566.www2.hpe.com/portal/site/hpsc/public/kb/docDisplay?docId=emr_na-c05240731"
    },
    {
      "type": "WEB",
      "url": "https://security.gentoo.org/glsa/201607-04"
    },
    {
      "type": "WEB",
      "url": "https://security.gentoo.org/glsa/201611-22"
    },
    {
      "type": "WEB",
      "url": "https://www.exploit-db.com/exploits/39736"
    },
    {
      "type": "WEB",
      "url": "http://lists.fedoraproject.org/pipermail/package-announce/2016-April/183263.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.fedoraproject.org/pipermail/package-announce/2016-May/183724.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-security-announce/2016-05/msg00031.html"
    },
    {
      "type": "WEB",
      "url": "http://packetstormsecurity.com/files/136757/libgd-2.1.1-Signedness.html"
    },
    {
      "type": "WEB",
      "url": "http://rhn.redhat.com/errata/RHSA-2016-2750.html"
    },
    {
      "type": "WEB",
      "url": "http://seclists.org/fulldisclosure/2016/Apr/72"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2016/dsa-3556"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2016/dsa-3602"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/archive/1/538160/100/0/threaded"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/87087"
    },
    {
      "type": "WEB",
      "url": "http://www.securitytracker.com/id/1035659"
    },
    {
      "type": "WEB",
      "url": "http://www.slackware.com/security/viewer.php?l=slackware-security&y=2016&m=slackware-security.383127"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/USN-2987-1"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-681"
    ],
    "severity": "CRITICAL",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2016-04-26T14:59:00Z"
  }
}